# Retrieve a Loadout

> Returns one Loadout with its poster and member Game Sets.

`GET /loadouts/{id}` on `https://api.mediux.io`

## Parameters

- `id` (path, integer, required): The Loadout's numeric Mediux ID.

## Responses

### 200

The Loadout.

- `data` (object, required)
  - `kind` (string, required): One of "loadout".
  - `id` (integer, required)
  - `title` (string, required)
  - `description` (string, nullable, required)
  - `creator` (object, required)
    - `id` (string (uuid), required)
    - `username` (string, required)
  - `language` (string, nullable, required): ISO 639-1 code; `xx` is textless.
  - `createdAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
  - `updatedAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
  - `poster` (object, nullable, required)
    - `id` (string (uuid), required)
    - `extension` (string, required)
    - `language` (string, nullable, required): ISO 639-1 code; `xx` is textless.
    - `edition` (string, nullable): One of "theatricalCut", "directorsCut", "extendedCut", "unratedCut", "imaxVersion", "criterionEdition", "finalCut", "fanEdit", "producersCut", "alternateColorGrading".
    - `width` (integer, required)
    - `height` (integer, required)
    - `fileSize` (integer, required)
    - `createdAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
    - `updatedAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
  - `sets` (array of object, required)
    - `kind` (string, required): One of "gameSet".
    - `id` (integer, required)
    - `title` (string, required)
    - `description` (string, nullable, required)
    - `language` (string, nullable, required): ISO 639-1 code; `xx` is textless.
    - `createdAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
    - `updatedAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
    - `game` (object, required)
      - `id` (integer, required)
      - `title` (string, required)
      - `year` (integer, nullable, required)
      - `cover` (object, nullable, required)
      - `hero` (object, nullable, required)
      - `logo` (object, nullable, required)
      - `wideCover` (object, nullable, required)
      - `background` (object, nullable, required)
      - `squareCover` (object, nullable, required)
      - `icon` (object, nullable, required)

### 304

Not modified. The `If-None-Match` validator still matches; no body.

### 400

The path is not a valid route, or the request carried a query string or body.

### 404

The resource does not exist or is not public.

### 405

Only `GET`, `HEAD` and `OPTIONS` are supported.

### 410

The Set, Boxset or Loadout existed and is no longer public.

### 429

Too many cache misses from this address. Retry after the `Retry-After` delay.

### 503

Temporarily unavailable. Retry after the `Retry-After` delay.

## Example response (200)

```json
{
  "data": {
    "kind": "loadout",
    "id": 233,
    "title": "Synthetic Index Fixture Loadout",
    "description": "Synthetic index fixture",
    "creator": {
      "id": "121dcf10-0438-4d46-b3a2-87486e711745",
      "username": "index_fixtures_8bc9c016"
    },
    "language": "en",
    "createdAt": "2026-11-15T16:04:18.381Z",
    "updatedAt": "2026-11-15T16:04:18.381Z",
    "poster": null,
    "sets": [
      {
        "kind": "gameSet",
        "id": 64381,
        "title": "Synthetic The Legend of Zelda: Ocarina of Time Set",
        "description": "Synthetic index fixture",
        "language": "en",
        "createdAt": "2026-11-07T05:46:57.420Z",
        "updatedAt": "2026-11-07T05:46:57.420Z",
        "game": {
          "id": 405460,
          "title": "The Legend of Zelda: Ocarina of Time",
          "year": 2026,
          "cover": {
            "id": "24a0ac7f-0590-4f25-a8f4-8bcfd3dacd32",
            "language": "en",
            "extension": "jpg",
            "width": 1000,
            "height": 1500,
            "fileSize": 39280,
            "createdAt": "2026-11-07T05:46:57.497Z",
            "updatedAt": "2026-11-07T05:46:57.497Z"
          },
          "hero": null,
          "logo": null,
          "wideCover": null,
          "background": null,
          "squareCover": null,
          "icon": null
        }
      },
      {
        "kind": "gameSet",
        "id": 64382,
        "title": "Synthetic Manic Miner Set",
        "description": "Synthetic index fixture",
        "language": "en",
        "createdAt": "2026-11-07T05:46:57.602Z",
        "updatedAt": "2026-11-07T05:46:57.602Z",
        "game": {
          "id": 415381,
          "title": "Manic Miner",
          "year": 2026,
          "cover": {
            "id": "c9b2c31e-26c1-42cd-b27c-4c62fd96ec20",
            "language": "en",
            "extension": "jpg",
            "width": 1000,
            "height": 1500,
            "fileSize": 39280,
            "createdAt": "2026-11-07T05:46:57.660Z",
            "updatedAt": "2026-11-07T05:46:57.660Z"
          },
          "hero": null,
          "logo": null,
          "wideCover": null,
          "background": null,
          "squareCover": null,
          "icon": null
        }
      },
      {
        "kind": "gameSet",
        "id": 64383,
        "title": "Synthetic World of Warcraft: Forever Set",
        "description": "Synthetic index fixture",
…
```
